EntityClass (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.entity
Class EntityClass

    java.lang.Object
      org.hibernate.metamodel.source.annotations.entity.ConfiguredClass
          org.hibernate.metamodel.source.annotations.entity.EntityClass

    public class EntityClass

extends ConfiguredClass

Represents an entity or mapped superclass configured via annotations/orm-xml.

Field Summary

Fields inherited from class org.hibernate.metamodel.source.annotations.entity.ConfiguredClass
`LOG`

Constructor Summary
`EntityClass(org.jboss.jandex.ClassInfo classInfo, EntityClass parent, AccessType hierarchyAccessType, InheritanceType inheritanceType, AnnotationBindingContext context)`

Method Summary
`int` | `getBatchSize()`
`Caching` | `getCaching()`
`Set<ConstraintSource>` | `getConstraintSources()`
`CustomSQL` | `getCustomDelete()`
`CustomSQL` | `getCustomInsert()`
`String` | `getCustomLoaderQueryName()`
`String` | `getCustomPersister()`
`CustomSQL` | `getCustomUpdate()`
`ColumnValues` | `getDiscriminatorColumnValues()`
`FormulaValue` | `getDiscriminatorFormula()`
`String` | `getDiscriminatorMatchValue()`
`Class<?>` | `getDiscriminatorType()`
`String` | `getEntityName()`
`String` | `getExplicitEntityName()`
`IdType` | `getIdType()`
`List<JpaCallbackClass>` | `getJpaCallbacks()`
`OptimisticLockStyle` | `getOptimisticLockStyle()`
`TableSource` | `getPrimaryTableSource()`
`String` | `getProxy()`
`String` | `getRowId()`
`Set<TableSource>` | `getSecondaryTableSources()`
`List<String>` | `getSynchronizedTableNames()`
`String` | `getWhereClause()`
`boolean` | `isDiscriminatorForced()`
`boolean` | `isDiscriminatorIncludedInSql()`
`boolean` | `isDynamicInsert()`
`boolean` | `isDynamicUpdate()`
`boolean` | `isEntityRoot()`
`boolean` | `isExplicitPolymorphism()`
`boolean` | `isLazy()`
`boolean` | `isMutable()`
`boolean` | `isSelectBeforeUpdate()`

Methods inherited from class org.hibernate.metamodel.source.annotations.entity.ConfiguredClass
`getAssociationAttributes, getAttributeOverrideMap, getClassAccessType, getClassInfo, getConfiguredClass, getCustomTuplizer, getEmbeddedClasses, getIdAttributes, getLocalBindingContext, getName, getParent, getSimpleAttributes, getVersionAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityClass

    public EntityClass(org.jboss.jandex.ClassInfo classInfo,
                       EntityClass parent,
                       AccessType hierarchyAccessType,
                       InheritanceType inheritanceType,
                       AnnotationBindingContext context)

Method Detail

### getDiscriminatorColumnValues

    public ColumnValues getDiscriminatorColumnValues()

### getDiscriminatorFormula

    public FormulaValue getDiscriminatorFormula()

### getDiscriminatorType

    public Class<?> getDiscriminatorType()

### getIdType

    public IdType getIdType()

### isExplicitPolymorphism

    public boolean isExplicitPolymorphism()

### isMutable

    public boolean isMutable()

### getOptimisticLockStyle

    public OptimisticLockStyle getOptimisticLockStyle()

### getWhereClause

    public String getWhereClause()

### getRowId

    public String getRowId()

### getCaching

    public Caching getCaching()

### getPrimaryTableSource

    public TableSource getPrimaryTableSource()

### getSecondaryTableSources

    public Set<TableSource> getSecondaryTableSources()

### getConstraintSources

    public Set<ConstraintSource> getConstraintSources()

### getExplicitEntityName

    public String getExplicitEntityName()

### getEntityName

    public String getEntityName()

### isDynamicInsert

    public boolean isDynamicInsert()

### isDynamicUpdate

    public boolean isDynamicUpdate()

### isSelectBeforeUpdate

    public boolean isSelectBeforeUpdate()

### getCustomLoaderQueryName

    public String getCustomLoaderQueryName()

### getCustomInsert

    public CustomSQL getCustomInsert()

### getCustomUpdate

    public CustomSQL getCustomUpdate()

### getCustomDelete

    public CustomSQL getCustomDelete()

### getSynchronizedTableNames

    public List<String> getSynchronizedTableNames()

### getCustomPersister

    public String getCustomPersister()

### isLazy

    public boolean isLazy()

### getProxy

    public String getProxy()

### getBatchSize

    public int getBatchSize()

### isEntityRoot

    public boolean isEntityRoot()

### isDiscriminatorForced

    public boolean isDiscriminatorForced()

### isDiscriminatorIncludedInSql

    public boolean isDiscriminatorIncludedInSql()

### getDiscriminatorMatchValue

    public String getDiscriminatorMatchValue()

### getJpaCallbacks

    public List<JpaCallbackClass> getJpaCallbacks()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.